Binary files orig/PROJ/src/.Makevars.ucrt.swp and patched/PROJ/src/.Makevars.ucrt.swp differ
diff -Nru orig/PROJ/src/Makevars.ucrt patched/PROJ/src/Makevars.ucrt
--- orig/PROJ/src/Makevars.ucrt	2023-11-07 04:30:16.000000000 +0100
+++ patched/PROJ/src/Makevars.ucrt	2024-02-22 09:08:20.259919600 +0100
@@ -1,11 +1,19 @@
 
-
-## sharpyuv needed, as per proj4 PR by Tomas (march 2023)
-LIBSHARPYUV = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libsharpyuv.a),-lsharpyuv),)
-PKG_LIBS = -lproj -lsqlite3 -lcurl -lbcrypt -ltiff -ljpeg -lrtmp -lssl -lssh2 -lgcrypt -lcrypto -lgdi32 -lz -lzstd -lwebp $(LIBSHARPYUV) -llzma -lgdi32 -lcrypt32 -lidn2 -lunistring -liconv -lgpg-error -lws2_32 -lwldap32 -lwinmm -lstdc++
-
 PKG_CPPFLAGS = -DUSE_PROJ6_API=1
 
+ifeq (,$(shell pkg-config --version 2>/dev/null))
+  ## sharpyuv needed, as per proj4 PR by Tomas (march 2023)
+  LIBSHARPYUV = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libsharpyuv.a),-lsharpyuv),)
+  LIBDEFLATE = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libdeflate.a),-ldeflate),)
+  LIBLERC = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/liblerc.a),-llerc),)
+  LIBPSL = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libpsl.a),-lpsl),)
+  LIBBROTLI = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libbrotlidec.a),-lbrotlidec -lbrotlicommon),)
+  PKG_LIBS = -lproj -lsqlite3 -lcurl $(LIBPSL) $(LIBBROTLI) -lbcrypt -ltiff $(LIBLERC) -ljpeg -lrtmp -lssl -lssh2 -lgcrypt -lcrypto -lgdi32 -lz -lzstd -lwebp $(LIBSHARPYUV) $(LIBDEFLATE) -llzma -lgdi32 -lcrypt32 -lidn2 -lunistring -liconv -lgpg-error -lws2_32 -lwldap32 -lwinmm -lstdc++
+else
+  PKG_LIBS = $(shell pkg-config --libs proj)
+  PKG_CPPFLAGS += $(shell pkg-config --cflags proj)
+endif 
+
 all: clean winlibs
 
 winlibs:
